- [HTTP request](https://developers.google.com/android-publisher/deprecated-apis/purchases.subscriptions/refund#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/deprecated-apis/purchases.subscriptions/refund#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/deprecated-apis/purchases.subscriptions/refund#body.request_body)
- [Response body](https://developers.google.com/android-publisher/deprecated-apis/purchases.subscriptions/refund#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/deprecated-apis/purchases.subscriptions/refund#body.aspect)

> [!WARNING]
> This method is deprecated!

Deprecated: Use orders.refund instead. Refunds a user's subscription purchase, but the subscription remains valid until its expiration time and it will continue to recur.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/purchases/subscriptions/{subscriptionId}/tokens/{token}:refund`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` The package name of the application for which this subscription was purchased (for example, 'com.some.thing'). |
| `subscriptionId` | `string` "The purchased subscription ID (for example, 'monthly001'). |
| `token` | `string` The token provided to the user's device when the subscription was purchased. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Sample

The following is a sample request:

```json
curl -X POST \
  'https://androidpublisher.googleapis.com/androidpublisher/v3/applications/com.example.myapp/purchases/subscriptions/monthly.premium.plan/tokens/abcdefghijklmnopqrstuvwxyz1234567890:refund' \
  -H 'Accept: application/json'
```

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`